<?php
  include_once('plugin_class_root.inc.php');
  include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes/css.class.inc.php');
  include_once(PHPWG_PLUGINS_PATH.'grum_plugins_classes/ajax.class.inc.php');

  /* 
      test class for translator
        initialize plugin name and tables names list
      this plugin add js&css to display info when user is in 'translator mode'
  */
  class test_translator extends root_translator
  {
    var $css;
    function test_translator($prefixeTable, $filelocation)
    {
      parent::root_translator($prefixeTable, $filelocation);
      $this->css = new css(dirname($this->filelocation).'/'.$this->plugin_name."2.css");
    }

    /*
      initialize events call for the plugin
    */
    function init_events()
    {
      add_event_handler('user_init', array(&$this, 'init_user_mode'));
      add_event_handler('loc_end_page_header', array(&$this->css, 'apply_CSS'));
      add_event_handler('loc_begin_page_tail', array(&$this, 'write_js'),100);
    }

    function init_user_mode()
    {
      global $template, $user;

      $this->load_config();
      if(array_search($user['id'], $this->my_config['translator_mode'])!==false)
      {
        $user['translator_mode']='yes';
        $this->css->make_CSS($this->generate_CSS());
      }
      else
      {
        unset($user['translator_mode']);
      }
    }


    function generate_CSS()
    {
      $text = "
.ttnfo
{
  color:#".$this->my_config['color_bars1'].";
}
.tvnfo
{
  color:#".$this->my_config['color_bars2'].";
}
.tonfo
{
  color:#".$this->my_config['color_bars3'].";
}
.tdnfo
{
  color:#".$this->my_config['color_bars4'].";
}
      ";
      return($text);
    }

    function write_js()
    {
      global $template, $user;


        $jscode="
  var lang_nfo=new Array();
  ";
/*
        foreach($translator_nfo as $key => $val)
        {
          $jscode.="lang_nfo[".$key."] = '".$val."';
  ";
        }
*/

        $jscode="
  var mouseX, mouseY;
  var goToURL;
  var tmpURL, tmpAnchor;
  tmpURL='';

  window.onmousemove = function (evt)
  {
    mouseX = evt.clientX;
    mouseY = evt.clientY;
  }

  window.onunload = function (evt)
  {
    var doc = document.getElementById('idivnfolang');
    if(doc.style.visibility=='visible')
    {
      window.stop;
      edit_key();
    }
  }

  function edit_key()
  {
    window.location=goToURL;
  }

  function move_nfo()
  {
    var doc = document.getElementById('idivnfolang');
    doc.style.left = (mouseX + window.pageXOffset)+'px';
    doc.style.top = (5+mouseY + window.pageYOffset)+'px';
  }

  function display_nfo(id)
  {
    var doc = document.getElementById('idivnfolang');
    var span = document.getElementById('i'+id);

    goToURL='".get_absolute_root_url().$this->page_link."&f_tabsheet=editing&action=editkey&key='+span.attributes.name.value;

    tmpURL='';
    if(span.parentNode.nodeName=='A')
    {
      tmpAnchor=span.parentNode;
      tmpURL=tmpAnchor.href;
      tmpAnchor.href=goToURL;
    }


    doc.style.left = (mouseX + window.pageXOffset)+'px';
    doc.style.top = (mouseY + window.pageYOffset)+'px';
    span.onmousemove=function (evt) { move_nfo(); }
    span.onmouseout=function (evt) { hide_nfo(); }
    span.onclick=function (evt) { edit_key(); }

    http_request=create_httpobject('get', '".substr($user['language'],6)."', '".$this->page_link."&ajaxfct=get_key_nfo&uindex='+span.attributes.name.value, false);
    http_request.send(null);
    doc.innerHTML=http_request.responseText;
    doc.style.visibility = 'visible';
  }

  function hide_nfo()
  {
    var doc = document.getElementById('idivnfolang');

    doc.style.visibility = 'hidden';
    if(tmpURL!='')
    {
      tmpAnchor.href=tmpURL;
    }
  }
  ";

        $htmlcode="
  <script type='text/javascript'>
  $jscode
  </script>

  <div id='idivnfolang' style='visibility:hidden;position:absolute;top:0px;left:0px;overflow:hidden;display:block;text-align:left;background:#ffffbb;border:3px solid #000000;margin:0px;padding:0px;font-size:80%;color:#000000;'>
  </div>
        ";

    if(isset($user['translator_mode']))
    {
      $template->output.=$htmlcode;
    }
     
    }

  }

?>